View Issue Details

IDProjectCategoryView StatusLast Update
0007264Kali Linux[All Projects] Kali Package Improvementpublic2021-07-23 17:52
Reporterluzat Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Versionkali-dev 
Target VersionFixed in Version 
Summary0007264: kali-linux-headless conflicts with plocate 1.1.8-2
Descriptionkali-linux-headless 2021.3.0 and in turn other metapackages depend on mlocate. Unfortunately, the often much faster plocate added a "Breaks: mlocate" somewhere after 1.1.7-1, which makes it uninstallable on most Kali systems.

I am not sure if the "Breaks" is correct, but if it is changing the dependency of kali-linux-headless to "mlocate | plocate" should work if no package defines of some specific behavior that mlocate offers.
Steps To ReproduceTry

apt install plocate kali-linux-headless

on kali-rolling.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-07-20 23:25 luzat New Issue
2021-07-23 17:52 steev Assigned To => sbrun
2021-07-23 17:52 steev Status new => assigned